.main-navigation {
    position: sticky;
    background-color: var(--primary-color);
    top: 0;
    z-index: 100;
    box-sizing: border-box;
    overflow: visible;
}
.navigation_wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    inline-size: min(100% - 2rem, 1500px);
    margin-inline: auto;
}
.nav-links {
    display: flex;
    align-items: center;
    list-style: none;
    justify-content: end;
    font-family: var(--ff-content);
    text-wrap: nowrap;
}
.nav-item {
    font-size: 0.85rem;
    padding: 1.4rem 1rem;
    position: relative;
    cursor: pointer;
    color: var(--neutral-900);
}
.nav-item li {
    font-weight: 300;
}
.alternative {
    background-color: var(--second-color);
}
.logo-container {
    display: flex;
    justify-content: center;
    align-items: center;
}
.logo {
    display: flex;
    align-items: center;
    cursor: pointer;
    max-width: 175px;
}
.nav-links li:not(:last-child):hover {
    background-color: var(--dark-font-color);
    cursor: pointer;
}
.nav-links a {
    display: block;
    color: var(--neutral-900);
    text-decoration: none;
    transition: all ease-in-out 100ms;
}
.nav-links li {
    padding: 8rem, 1.4rem;
}
.nav-links li span {
    color: var(--accent-color);
    font-weight: var(--fw-bold);
}
.nav-links li i {
    margin-left: 5px;
}
.nav-links li.active {
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-underline-offset: 5px;
    text-decoration-color: var(--second-color);
}
.sub-icon-image {
    max-width: 180px;
    padding: 0 10px;
}
.sub-icon {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    outline: 0.25px solid rgb(77, 77, 77);
    max-width: 200px;
    padding-bottom: 10px;
    padding-top: 10px;
    background-color: #000000;
}
.sub-menu-link {
    text-align: center;
    font-weight: var(--fw-bold);
    font-size: 0.9rem;
    padding: 0.5rem 1rem;
    border-radius: var(--border-radius);
    text-wrap: nowrap;
}
.accent-sub {
    text-align: center;
    font-weight: var(--fw-normal);
    font-style: italic;
    letter-spacing: 0.03rem;
    font-size: 0.8rem;
}
.nav-item:hover + .submenu, .main-navigation,
.submenu:hover {
    display: flex;
    transition: 2s ease-out;
}
.nav-item:hover {
    background-color: var(--second-color);
}
.submenu {
    display: none;
    background-color: var(--dark-font-color);
    position: absolute;
    top: 100%;
    margin: var(--centered);
    padding-bottom: 20px;
    padding-top: 20px;
    width: 90%;

    height: fit-content;
    align-items: flex-start;
    justify-content: space-evenly;
    z-index: 10;
}
.nav-item:hover + .submenu2, .main-navigation,
.submenu2:hover {
    display: flex;
    transition: 2s ease-out;
}
.submenu2 {
    display: none;
    flex-direction: column;
    flex-wrap: nowrap;
    background-color: #000000;
    position: absolute;
    top: 100%;
    right: 45%;
    margin: 0 auto;
    padding: 20px;
    width: fit-content;
    height: fit-content;
    align-items: flex-start;
    justify-content: space-evenly;
    z-index: 10;

    .sub-icon {
        width: 100%;
        padding: 10px 45px;
    }
}
.right-block {
    display: none;
}
@media (max-width: 1500px) {
    .navigation_wrapper .right-block {
        display: flex;
        align-items: center;
        justify-content: flex-end;
        align-content: center;
        max-width: 400px;
        width: 150px;
        padding: 10px 0px;
        
        
    
        i {
            color: white;
            font-size: 1.6rem;
            margin: 0 10px;
            
        }
        
    }
    .navigation_wrapper {
        align-items: center;
    }
    .nav-item {
        padding: 15px;
        margin-right: 10px;
    }
    .navigation_wrapper .nav-links {
        display: none;
    }
}
@media (max-width: 475px) {
    .navigation_wrapper{
        max-width: 100%;
    }
}